Loading...
Searching...
No Matches
format_ops Struct Reference

## Data Fields

const char * | name
| Format name (identifier).
kdump_status(* | probe )(kdump_ctx_t *ctx)
kdump_status(* | get_page )(struct page_io *pio)
| Get page data.
void(* | put_page )(struct page_io *pio)
| Drop a reference to a page.
kdump_status(* | post_addrxlat )(kdump_ctx_t *ctx)
| Address translation post-hook.
kdump_status(* | realloc_caches )(kdump_ctx_t *ctx)
| Reallocate any format-specific caches.
void(* | attr_cleanup )(struct attr_dict *dict)
| Clean up attribute hooks.
void(* | cleanup )(struct kdump_shared *)

## Field Documentation

## attr_cleanup

void(* format_ops::attr_cleanup) (struct attr_dict *dict)

Clean up attribute hooks.

Parameters

  dict | Attribute dictionary.

## get_page

kdump_status(* format_ops::get_page) (struct page_io *pio)

Get page data.

Parameters

  pio | Page I/O control.

Note: The requested address space is specified in `pio`. It is always an address space specified by `xlat_caps`. Since most file formats specify only one capability, their get_page methods do not have to care.

## name

const char* format_ops::name

Format name (identifier).

This is a unique identifier for the dump file format. In other words, there is a 1:1 mapping between this identifier and the access methods for the corresponding dump file.

## post_addrxlat

kdump_status(* format_ops::post_addrxlat) (kdump_ctx_t *ctx)

Address translation post-hook.

Parameters

  ctx | Dump file object.

Returns
  Status code.

This routine is called whenever address translation is (re-)initialized to allow format-specific adjustments to the translation system (e.g. physical<->machine address translation in a Xen DomU dump file).

## put_page

void(* format_ops::put_page) (struct page_io *pio)

Drop a reference to a page.

Parameters

  pio | Page I/O control.

## realloc_caches

kdump_status(* format_ops::realloc_caches) (kdump_ctx_t *ctx)

Reallocate any format-specific caches.

Parameters

  ctx | Dump file object.

Returns
  Status (KDUMP_OK on success).

The documentation for this struct was generated from the following file:

- src/kdumpfile/kdumpfile-priv.h